%YAML 1.2
---
class: "feldspar"
type: "igneous"
dispositions:
 - silica: "felsic"
   origin: "volcanic"
...
---
class: "quartz"
type: "igneous"
dispositions:
 - silica: "inter-felsic"
   origin: "subvolcanic"
...
---
class: "na-plagioclase"
type: "igneous"
dispositions:
 - silica: "inter-felsic"
   origin: "subvolcanic"
 - silica: "felsic"
   origin: "plutonic"
...
---
class: "ca-plagioclase"
type: "igneous"
dispositions:
 - silica: "intermediate"
   origin: "volcanic"
 - silica: "intermediate"
   origin: "subvolcanic"
...
---
class: "pyroxene"
type: "igneous"
dispositions:
 - silica: "mafic"
   origin: "plutonic"
 - silica: "ultra-mafic"
   origin: "subvolcanic"
...
---
class: "olivine"
type: "igneous"
dispositions:
 - silica: "mafic"
   origin: "plutonic"
 - silica: "ultra-mafic"
   origin: "subvolcanic"
...
---
class: "mica"
type: "igneous"
dispositions:
 - silica: "felsic"
   origin: "plutonic"
 - silica: "inter-felsic"
   origin: "plutonic"
...
---
class: "amphibole"
type: "igneous"
dispositions:
 - silica: "intermediate"
   origin: "plutonic"
 - silica: "inter-felsic"
   origin: "plutonic"
...
---
class: "enstatite-chondrites"
type: "igneous"
dispositions:
 - origin: "meteoritic"
   silica: "mafic"
...
# Sedimentary
---
class: "sand"
type: "sedimentary"
dispositions:
 - sediment: "sand"
   weathered: 0
...
---
class: "sedimentary-evaporative"
type: "sedimentary"
dispositions:
 - sediment: "evaporative"
...
---
class: "sedimentary-clastic"
type: "sedimentary"
dispositions:
 - sediment: [ "gravel", "sand", "sandy-silt", "silt", "silty-clay", "clay" ]
...
---
class: "clay"
type: "sedimentary"
dispositions:
 - sediment: "clay"
...
# Core igneous rock mineral definitions
---
class: "granitic"
type: "igneous"
dispositions:
 - silica: "felsic"
   origin: "plutonic"
...
---
class: "pegmatic"
type: "igneous"
dispositions:
 - silica: "felsic"
   origin: "subvolcanic"
...
---
class: "rhyolitic"
type: "igneous"
dispositions:
 - silica: "felsic"
   origin: "volcanic"
...
---
class: "granodioritic"
type: "igneous"
dispositions:
 - silica: "inter-felsic"
   origin: "plutonic"
...
---
class: "dacitic"
type: "igneous"
dispositions:
 - silica: "inter-felsic"
   origin: "volcanic"
...
---
class: "dioritic"
type: "igneous"
dispositions:
 - silica: "intermediate"
   origin: "plutonic"
...
---
class: "andesitic"
type: "igneous"
dispositions:
 - silica: "intermediate"
   origin: "volcanic"
...
---
class: "gabbroic"
type: "igneous"
dispositions:
 - silica: "mafic"
   origin: "plutonic"
...
---
class: "diabasic"
type: "igneous"
dispositions:
 - silica: "mafic"
   origin: "subvolcanic"
...
---
class: "basaltic"
type: "igneous"
dispositions:
 - silica: "mafic"
   origin: "volcanic"
...
---
class: "peridotitic"
type: "igneous"
dispositions:
 - silica: "ultra-mafic"
   origin: "plutonic"
...
---
class: "kimberlitic"
type: "igneous"
dispositions:
 - silica: "ultra-mafic"
   origin: "subvolcanic"
...
---
class: "komatitic"
type: "igneous"
dispositions:
 - silica: "ultra-mafic"
   origin: "volcanic"
...
---
mineral: "granite"
class: "granitic"
...
---
mineral: "rhyolite"
class: "rhyolitic"
...
---
mineral: "diorite"
class: "dioritic"
...
---
mineral: "andesite"
class: "andesitic"
...
---
mineral: "gabbro"
class: "gabbroic"
...
---
mineral: "basalt"
class: "basaltic"
...
---
mineral: "peridotite"
class: "peridotitic"
...
---
mineral: "diabase"
class: "diabasic"
...